Skip to content

getIssueWorkflows

READ

Get issue workflows.

POST /api/v1/quality/getIssueWorkflows
curl -X POST '<your-host>/api/v1/quality/getIssueWorkflows' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "args": {}
  }'
Response
{
  "results": [
    {
      "active": true,
      "approvalRequirements": [
        "MRB"
      ],
      "companyId": "string",
      "content": "…",
      "createdAt": "string",
      "createdBy": "string",
      "description": "string",
      "id": "string",
      "name": "string",
      "priority": "Low",
      "requiredActionIds": [
        "string"
      ],
      "source": "Internal",
      "tags": [
        "string"
      ],
      "updatedAt": "string",
      "updatedBy": "string"
    }
  ],
  "count": null
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "args": {
      "type": "object",
      "properties": {
        "limit": {
          "type": "integer",
          "default": 100
        },
        "offset": {
          "type": "integer",
          "default": 0
        },
        "search": {
          "type": [
            "string",
            "null"
          ]
        }
      }
    }
  }
}